local E, L, V, P, G = unpack(ElvUI)
local CG = E:NewModule("CustomGlow", "AceTimer-3.0")
local LCG = LibStub('LibCustomGlow-1.0')
local EP = LibStub("LibElvUIPlugin-1.0")
local addon, ns = ...

CG.version = GetAddOnMetadata("ElvUI_CustomGlow", "Version")

function CG:Initialize()
	EP:RegisterPlugin(addon)
	
	C_Timer.After(0,function()
		if LibStub then
			local lib = LibStub:GetLibrary("LibButtonGlow-1.0",4)
			if lib then
				function lib.ShowOverlayGlow(button)
					if button:GetAttribute("type") == "action" then
						local actionType,actionID = GetActionInfo(button:GetAttribute("action"))
						LCG.PixelGlow_Start(button, color, nil, nil, nil, 2)
					end
					function lib.HideOverlayGlow(button)
						LCG.PixelGlow_Stop(button)
					end
				end
			end
		end
	end)
end

E:RegisterModule(CG:GetName())


